#! /bin/sh -e
# /usr/lib/emacsen-common/packages/install/preview-latex
# [ This particular script hasn't been tested, so be careful. ]

set -e

FLAVOR=$1
PACKAGE="preview-latex"

if [ "X${FLAVOR}" = "X" ]; then
    echo Need argument to determin FLAVOR of emacs;
    exit 1
fi

if [ "X${PACKAGE}" = "X" ]; then
    echo Internal error: need package name;
    exit 1;
fi

ELDIR=/usr/share/emacs/site-lisp/${PACKAGE}
ELCDIR=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}

STARTDIR=/etc/${FLAVOR}/site-start.d
STARTFILE="${PACKAGE}-init.el";

SITELISP=/usr/share/${FLAVOR}/site-lisp

## <merged from auctex-11.85/preview/Makefile>
ELCC="${FLAVOR} -batch -q -no-site-file -no-init-file"
LISP_SOURCES="prv-emacs.el preview.el"
## </merged from auctex-11.85/preview/Makefile>


case "${FLAVOR}" in

    *)

	echo -n "install/${PACKAGE}: Byte-compiling for ${FLAVOR} ..."

	rm -rf ${ELCDIR}
	install -m 755 -d ${ELCDIR}

	# Byte compile
	(
	    cd ${ELDIR}
	    install -p -m 0644 *.el ${ELCDIR}
	    cp -ra images ${ELCDIR}/
	    cd ${ELCDIR}

	    ${ELCC} -f batch-byte-compile \
		${LISP_SOURCES} > CompilationLog 2>&1

	    rm -f auto.el ${PACKAGE}-init.el
	)

	gzip -9 ${ELCDIR}/CompilationLog

	if [ ! -d ${STARTDIR} ]; then
	    install -m 755 -d ${STARTDIR}
	fi

	ln -sf ${ELDIR}/${STARTFILE} ${STARTDIR}/50${STARTFILE};

	echo " done."

	;;

esac

exit 0;
